from web.server import app
from config.site import SiteConfig
import os
config = SiteConfig()
    

if __name__ == "__main__":
    try:
        config.check_config(["CACHED_DATA_PATH"])    
        import uvicorn
        uvicorn.run("web.server:app", host="0.0.0.0", port=8000,reload=True)
        
    except Exception as e:
        print(e)
    
